void enter3Script(){
            
  if(setAlert == true){
    
    setAlert = false;
    statusMessage(enter1Pos);
  
  }else{

    oldenter1Pos = enter1Pos;
    if(enter1Pos == 3) enter1Pos = 1; // run after standby
    enter1Pos = enter1Pos + 1;
    if (enter1Pos > enterMax-1) enter1Pos = 0;
    changeMode(oldenter1Pos, enter1Pos);
    
    if(enter1Pos == 0){                         //STOP
      enter3Pos0();
    }
    if(enter1Pos == 1){                         //HEAT
      enter3Pos1();
    }
    if(enter1Pos == 2){                         //RUN
      enter3Pos2();
    }
    //if(enter1Pos == 3){                         //STANDBY
    //  enter3Pos3();
    //}
          
  }
}


void enter3Pos0(){               //STOP
  //statusMessage(enter1Pos);
  //redrawCurve();
  digitalWrite(vacuum, false);
  pins_up_with_delay= 1;
  oldSetpoint = Setpoint;
  Setpoint = 0;
  placeValue(0, POSX[1][2] -2, 3, 0, oldSetpoint, Setpoint);   
  process_startC = false;
  oldtimeCounter1 = timeCounter1;
  timeCounter1 = 0;
  placeValue(0, POSX[1][3]+1, 3, 0, oldtimeCounter1, timeCounter1);                 //place actual procestime on screen
}

void enter3Pos1(){               //HEAT
  curveScreen();
  //statusMessage(enter1Pos);
  //redrawCurve();
  pins_up_with_delay= 1;
  //digitalWrite(pins, true);
  digitalWrite(vacuum, false);
  oldSetpoint = Setpoint;
  Setpoint = CURVES[curveNr1][0][0];
  placeValue(0, POSX[1][2] -2, 3, 0, oldSetpoint, Setpoint);   
}

void enter3Pos2(){               //RUN
  //statusMessage(enter1Pos);
  //redrawCurve();
  digitalWrite(vacuum, true);
  digitalWrite(pins, false);
  timeValue1 = curvetimescale;
  oldSetpoint = Setpoint;
  Setpoint = CURVES[curveNr1][pointcnt][0];
  placeValue(0, POSX[1][2] -2, 3, 0, oldSetpoint, Setpoint);   
  oldenter1Pos = enter1Pos;
  process_startC = true;
}

void enter3Pos3(){               //STANDBY
  //statusMessage(enter1Pos);
  //redrawCurve();
  process_startC = false;
}



void left3Script(){

    if (enter1Pos == 0) curveSetupScreen();
          
}

void up3Script(){ //configure recipes
          if(enter1Pos == 2){           //RUN to STANDBY
          process_startC = false;
          oldenter1Pos = enter1Pos;
          enter1Pos = 3;
          changeMode(oldenter1Pos, enter1Pos);
          //statusMessage(enter1Pos);
        }
}

void down3Script(){ //configure recipes
  
        if(enter1Pos == 2){           //RUN to STANDBY
          process_startC = false;
          oldenter1Pos = enter1Pos;
          enter1Pos = 3;
          changeMode(oldenter1Pos, enter1Pos);
          //statusMessage(enter1Pos);
        }
}
